/* $Id:*/
/*============================================================================*
 |                 Copyright (c) 2014 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/ca-review-fields.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/ca-review-fields.xml',
'<View deleteAllowed="false" defaultFormHandler="">

   <CreateFields>
		
		<TextInput id="TRANSACTION_MODE" label="{message.XXAS_COST_MODE}" enabled="false" />
        <Number id="PROPORTION" label="{message.XXAS_COST_PROPORTION}" enabled="false"/>
        <TextInput id="CONCATENATED_SEGMENTS" label="{message.XXAS_COST_CODES}" enabled="false"/>
        <Date id="START_DATE" label="{message.XXAS_COST_FROM}" enabled="false" />
        <Date id="END_DATE" label="{message.XXAS_COST_TO}" enabled="false" />
		
   </CreateFields>
   
</View>' );
  xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/ca-review-fields.xml');
END;
/
COMMIT;
EXIT;
